%{!?python_sitearch: %define python_sitearch %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# Fix private-shared-object-provides error
%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:           python3-pymongo
Version:        3.6.1
Release:        1%{?dist}
Summary:        Python driver for MongoDB
Group:          Development/Languages
License:        ASL 2.0 and MIT
URL:            http://api.mongodb.org/python
Source0:        https://pypi.io/packages/source/p/pymongo/pymongo-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python34-devel
BuildRequires:  python34-setuptools
BuildArch:      noarch
ExcludeArch:    ppc ppc64 %{sparc} s390 s390x i386
# We want to exclude big-endian systems as well as the 32-bit i386

Requires:       python34
Requires:       glibc
Requires:       python3-bson = %{version}-%{release}
Provides:       pymongo = %{version}-%{release}
Obsoletes:      pymongo <= 2.1.1-4

%description
The Python driver for MongoDB.


%package -n python3-pymongo-gridfs
Summary:        Python GridFS driver for MongoDB
Group:          Development/Libraries
Requires:       python3-pymongo%{?_isa} = %{version}-%{release}

%description -n python3-pymongo-gridfs
GridFS is a storage specification for large objects in MongoDB.


%package -n python3-bson
Summary:        Python bson library
Group:          Development/Libraries

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.


%prep
%setup -q -n pymongo-%{version}
rm -r pymongo.egg-info

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
rm -rf %{buildroot}

%{__python3} setup.py install -O1 --single-version-externally-managed --skip-build --root $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT/%{_prefix}/lib/debug
#rm -rf $RPM_BUILD_ROOT/%{_prefix}/src/debug

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/pymongo
%{python3_sitearch}/pymongo-%{version}-*.egg-info

%exclude %{_prefix}/lib/debug/.build-id/*
%exclude %{_prefix}/lib/debug/.dwz/*
%exclude %{_prefix}/lib/debug/*
%exclude %{_prefix}/src/debug/*

%files -n python3-pymongo-gridfs
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/gridfs

%files -n python3-bson
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/bson

%changelog
* Mon Mar 26 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.6.1-1
- Version bump

* Thu Jan 19 2017 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.1.1-1
- Upgrade to same version used for shrunk development

* Mon Aug 15 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 2.5.2-4.ru7
- Rebuild for Rutgers CentOS 7

* Thu Apr 02 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 2.5.2-4.ru6
- Excludes i386, as running MongoDB on 32-bit architectures is not acceptable
  for production

* Thu Apr 02 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 2.5.2-3.ru6
- Add python3 as a dependency

* Thu Apr 02 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 2.5.2-2.ru6
- Add glibc as a dependency

* Fri Mar 26 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 2.5.2-1.ru6
- Initial build for CentOS 6 for Rutgers University
